;;; misc.el --- Stuff that fits no other category    -*- lexical-binding: t; -*-

;;; Commentary:
;;; Code:

(require 'basics/package-management)

;; Many errors, slows things down considerably.
;; ;; Watchdog, noticing and explaining when Emacs acts slow.
;; (use-package explain-pause-mode
;;   :demand t
;;   :defer 4
;;   :diminish explain-pause-mode
;;   :straight (explain-pause-mode
;;              :type git
;;              :host github
;;              :repo "lastquestion/explain-pause-mode")
;;   :config (explain-pause-mode t))

(use-package gnuplot
  :mode ("\\(\\.gp\\|gnuplot\\)$" . gnuplot-mode)
  :hook (gnuplot-mode . hl-todo-mode))

;; Error on init, investigate later.
;; ;; Edit subtitles with mpv integration.
;; (use-package subed
;;   :straight (subed
;;              :type git :host github :repo "rndusr/subed"
;;              :files ("subed/*.el")))

;; dap-mode works better with it.
(use-package vterm
  :defer 4)

;; Translations to/from german.
(use-package leo)

(provide 'misc/misc)
;;; misc.el ends here
